Show / Hide Table of Contents

# Class DiscordComparers

Represents a collection of System.Collections.Generic.IEqualityComparer<T> for various Discord objects.

##### Inheritance

System.Object
DiscordComparers

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public static class DiscordComparers

### Properties

| Improve this Doc View Source

#### ChannelComparer

Gets an System.Collections.Generic.IEqualityComparer<T> to be used to compare channels.

##### Declaration

    public static IEqualityComparer<IChannel> ChannelComparer { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IEqualityComparer<IChannel> |

| Improve this Doc View Source

#### GuildComparer

Gets an System.Collections.Generic.IEqualityComparer<T> to be used to compare guilds.

##### Declaration

    public static IEqualityComparer<IGuild> GuildComparer { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IEqualityComparer<IGuild> |

| Improve this Doc View Source

#### MessageComparer

Gets an System.Collections.Generic.IEqualityComparer<T> to be used to compare messages.

##### Declaration

    public static IEqualityComparer<IMessage> MessageComparer { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IEqualityComparer<IMessage> |

| Improve this Doc View Source

#### RoleComparer

Gets an System.Collections.Generic.IEqualityComparer<T> to be used to compare roles.

##### Declaration

    public static IEqualityComparer<IRole> RoleComparer { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IEqualityComparer<IRole> |

| Improve this Doc View Source

#### UserComparer

Gets an System.Collections.Generic.IEqualityComparer<T> to be used to compare users.

##### Declaration

    public static IEqualityComparer<IUser> UserComparer { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.IEqualityComparer<IUser> |